- Main Page
- Namespaces
- Files

- File List
- File Members

# C:/Musimathics_local/Musimat/MusimatTutorial/B0100.cpp File Reference

`#include "MusimatTutorial.h"`

Go to the source code of this file.

## Functions
| MusimatTutorialSection (B0100)

## Function Documentation

MusimatTutorialSection | ( | B0100 |  | ) |

Definition at line 2 of file B0100.cpp.

    00002                               {
    00003 Print("*** Introduction to Musimat -- The programming language for \"Musimathics\" ***");
    00004 /*****************************************************************************
    00005
    00006 Introduction to Musimat — The programming language for "Musimathics"
    00007
    00008 Adapted from "Musimathics Volume I" Appendix B
    00009 Published by the MIT Press
    00010
    00011 © 2006 Gareth Loy
    00012
    00013
    00014 Mathematics is the music of reason.
    00015 —James J. Sylvester
    00016
    00017 B.1 Musimat
    00018
    00019 Why did I invent a new programming language when there are so many excellent ones already
    00020 available? The problem is that most programming languages are more general-purpose than is
    00021 required for the relatively specialized purposes of this material, and a proper introduction to such
    00022 a general-purpose language would lead the discussion too far afield. I decided it would be of more
    00023 service to readers to specialize the language so that its features would match the examples in this
    00024 book as closely as possible. That way, the focus would remain on the subject being coded rather
    00025 than on the language being used to code it.
    00026
    00027 Nevertheless, Musimat is similar to other procedural languages such as C or C++ (see Stroustrup
    00028 1991), so if you already know one of these, it should be easy to pick up Musimat. If you don’t
    00029 know any programming language, learning one should be easier after you learn Musimat.
    00030 I present everything you’ll need to know about Musimat in the following sections.
    00031
    00032 NOTE: In fact, this version of Musimat is implemented in C++.
    00033
    00034 *****************************************************************************/
    00035 }}